Subject: Re: bug#17281: 24.4.50; emacs hangs in next-line

From: "Stefan-W. Hahn" <[email-masked]>
Date: Thu, 17 Apr 2014 14:56:37 +0200

Mail von Eli Zaretskii, Thu, 17 Apr 2014 at 12:03:03 +0300:
> > Date: Thu, 17 Apr 2014 10:29:31 +0200
> > From: "Stefan-W. Hahn" <[email-masked]>
> > Cc: [email-masked]
> > 
> > Mail von Eli Zaretskii, Thu, 17 Apr 2014 at 11:00:05 +0300:
> > > > Date: Thu, 17 Apr 2014 09:25:23 +0200
> > > > From: "Stefan-W. Hahn" <[email-masked]>
> > > > Cc: [email-masked]
> > > > 
> > > Then it's a different bug.  Are you sure it didn't happen before the
> > > above commit?  I seem to be able to reproduce it as far back as Mar 15
> > > (I have no easy way of trying older versions, due to changes in Lisp
> > > files involved in this recipe).
> > 
> > I tried it back till 17. Dec 2013, but not all versions are compileable.
> > All tried vesions have the same problem.
> > 
> > I even tried to debug it and I came to line-pixel-height (xdisp.c), which
> > calls start-display(). I made a debug output in line-pixel-height before the
> > call to start_display() and after. In the problematic case I never saw the
> > debug output after start_display().
> 
> The infloop was indeed inside line-pixel-height.  Please try the patch
> below, which I just committed to the emacs-24 branch.  It fixes your
> recipe, so I hope the original use case with emacsclient will also be
> fixed.

Yes your patch fixes the problem in the stripped down case and also in my
use case with mutt.

Thanks for your quick response.

P.S. "make bootstrap" did the trick to build emacs.

With kind regards,
Stefan

-- 
Stefan-W. Hahn                          It is easy to make things.
                                        It is hard to make things simple.